Upgrade libsmbios to 2.2.26

Bug #591017 reported by Artur Rona on 2010-06-07
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
libsmbios (Ubuntu)
Wishlist
Unassigned

Bug Description

New upstream release is available.

Artur Rona (ari-tczew) on 2010-06-07
tags: added: upgrade
Benjamin Drung (bdrung) wrote :

The version in Debian is totally outdated and has RC bugs. Can you collaborate with the Debian maintainers to update the package in Debian first and then sync/merge it to Ubuntu?

Changed in libsmbios (Ubuntu):
importance: Undecided → Wishlist
status: New → In Progress
assignee: nobody → Andrew Starr-Bochicchio (andrewsomething)

I'm interested in sponsoring this. We've been out of sync with Debian on this package for quite awhile, and reading through the bug reports, the main problem with the package in Debian seems to be that the maintainer can't seem to find a sponsor (don't know how well he's looking for one though). The one RC bug is a FTBFS on ia64 which doesn't seem to effect us. The other is a FTBFS with GCC 4.4 which we've already fixed (and the patch is already in PTS) and is included in the new upstream release. I think it will be useful for us to have this...

My question is why 2.2.19? 2.2.24 seems to have already been released:

http://linux.dell.com/libsmbios/download/libsmbios/

Changed in libsmbios (Ubuntu):
status: In Progress → Incomplete
assignee: Andrew Starr-Bochicchio (andrewsomething) → nobody
tags: added: patch-needswork
Artur Rona (ari-tczew) wrote :

Dear Andrew,

My question is why did you not looked on date of upload? Bzr says clearly: 2010-06-08, at that time latest upstream release was 2.2.19 and you can see this information in link which you've gave.
[DIR] libsmbios-2.2.19/ 27-Jul-2009 16:27 -
[DIR] libsmbios-2.2.22/ 11-Jun-2010 11:03 -
I don't spending all my time with computer, so I waited for sponsors turn. You gave an answer in this bug (thanks for your time) and I'll upload an update to latest upstream release, don't worry.

Andrew, I don't know whether you know, but I've explained with libsmbios's maintainer and co-maintainer Loïc Minier, that Loïc Minier will take this sponsorship and he will forward package to Debian. Please cooperate with him or wait for his answer. At this moment, I'm subscribing Loïc Minier to this bug. I forgot to do it earlier.

Best regards

Stefano Rivera (stefanor) wrote :

The current package installs .pyc files. Please use a helper like python-support to avoid this in the new version.

Artur Rona (ari-tczew) on 2010-07-15
Changed in libsmbios (Ubuntu):
status: Incomplete → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libsmbios - 2.2.26-0ubuntu1

---------------
libsmbios (2.2.26-0ubuntu1) maverick; urgency=low

  [ Artur Rona ]
  * New upstream release (LP: #591017).
  * debian/patches/gcc44.dpatch:
    - Dropped, fixed upstream.
  * debian/patches/fix-typo.dpatch:
    - Dropped, fixed upstream.
  * debian/control:
    - Bump Standards-Version to 3.9.0.
  * debian/README.source:
    - Fix lintian's warning patch-system-but-no-source-readme.

  [ Stefano Rivera ]
  * debian/watch:
    - Find tarballs, not directories.
  * Call dh_python2.
  * Revert:
    - Enable building on lpia (Closes: #488278)
 -- Artur Rona <email address hidden> Thu, 15 Jul 2010 21:27:22 +0200

Changed in libsmbios (Ubuntu):
status: Confirmed → Fix Released
Artur Rona (ari-tczew) wrote :

Andrew Starr-Bochicchio and Loïc Minier: feel free to forward package to Debian.

summary: - Upgrade libsmbios to 2.2.19
+ Upgrade libsmbios to 2.2.26
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers